#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include "FeatMatrix.h"
#include "MSignal.h"
#include "fmatrix.h"
#include "SoundFileIO.h"
#include "defs.h"
#include "Util.h"
#include "Gain.h"
#include "Hamming.h"
#include "MagFFT.h"
#include "FeatExtractor.h"
#include "Series.h"
#include "MagDB.h"
#include "Sine.h"
#include "Spectral.h"
#include "Collection.h"
#include "SpectralSegm.h"
#include "FeatExtractor.h"
#include "Shuffler.h"
#include "CollectionShuffler.h"
#include "MFCC.h"
#include "ExtractorDictionary.h"
#include "Classifier.h"
#include "MemMFCC.h"
#include "LPC.h"
#include "SfxExtractor.h"
#include "DWTC.h"
#include "BeatExtractor.h"
#include "SvFeatExtractor.h"
#include "MultiPitchExtractor.h"
#include "GenreExtractor.h"
#include "MultiPitchFeature.h"
#include "Parallel.h"
#include "Series.h"
#include "ValleyPick.h"
#include "AMDF.h"
#include "Dist.h"
#include "MultiPitch.h"
#include "Pitch.h"
#include "DFCC.h"
#include "SpectralPeak.h"
#include <map>


class BatchExtract
{
private:
  int winSize;
  int hopSize;
  FeatMatrix *collectRes;
  string collectName;
  string winSizeStr_;
  string hopSizeStr_;
 
public:
  BatchExtract(
    string collection,
    string winSizeStr,
    string hopSizeStr);
  ~BatchExtract();
  FeatMatrix* extract(
    string extractor,
    int **startnum);
  FeatMatrix* extract(
    string extractor);

  
};


